From 50f1b5fa83906638485615bf0b073d407ba570f9 Mon Sep 17 00:00:00 2001
From: Jeffy Chen <jeffy.chen@rock-chips.com>
Date: Wed, 8 Jun 2022 09:53:19 +0800
Subject: [PATCH 66/98] desktop-shell: Fix crash when destroying uncommited
 surface

By adding a sanity check for it's wsurface_anim_fade.

Signed-off-by: Jeffy Chen <jeffy.chen@rock-chips.com>
---
 desktop-shell/shell.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/desktop-shell/shell.c b/desktop-shell/shell.c
index 9aba96c..645b765 100644
--- a/desktop-shell/shell.c
+++ b/desktop-shell/shell.c
@@ -334,7 +334,9 @@ desktop_shell_destroy_surface(struct shell_surface *shsurf)
 	weston_view_destroy(shsurf->view);
 
 	wl_signal_emit(&shsurf->destroy_signal, shsurf);
-	weston_surface_unref(shsurf->wsurface_anim_fade);
+
+	if (shsurf->wsurface_anim_fade)
+		weston_surface_unref(shsurf->wsurface_anim_fade);
 
 	if (shsurf->output_destroy_listener.notify) {
 		wl_list_remove(&shsurf->output_destroy_listener.link);
-- 
2.20.1

